div class="panel panel-default" id="task-=task.id"
  div class="panel-heading"
      h4 class="task_name" id="task_name_#{task.done}"
        =task.name
      div id="tags_show"
        -task.tag_list.each do |t|
          =link_to "##{t}", project_path(@project, show_all: true, tag: t)
          ="  "
      - deadline_status = "ok"
      - if Date.today > task.deadline
        -deadline_status = "past"
      -elsif Date.today.days_since(7) > task.deadline
        -deadline_status = "soon"
      div class="task-deadline task-deadline-#{deadline_status}"
        =task.deadline.strftime("Until %d. %m. %Y")
      div id="task-desc"
        =task.description
      div
        -if task.done != true
          =link_to "Complete", complete_project_task_path(@project, task), method: :post, class: "btn btn-success btn-sm"
        -else
          =link_to "Uncomplete", uncomplete_project_task_path(@project, task), method: :post, class: "btn btn-danger btn-sm"
        =link_to "Allocate Time", new_project_task_allocated_time_path(@project, task), class: "btn btn-primary btn-sm"
        =link_to "Edit", edit_project_task_path(@project, task), class: "btn btn-info btn-sm"
        =link_to "Delete", project_task_path(@project, task), method: :delete, data: { confirm: 'Are you sure?' }, class: 'btn btn-warning btn-sm'
  -if (@show_all and task.allocated_times.any?) or (!@show_all and task.allocated_times.where(ignored: nil).any?)
    div class="panel-body"
      table class="table"
        -if @show_all
          =render task.allocated_times, task: task
        -else
          =render task.allocated_times.where(ignored: nil), task: task
